# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.calendar
Class EventWho

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.extensions.Who
                  com.google.gdata.data.calendar.EventWho

All Implemented Interfaces:
  Extension

    public class EventWho

extends Who

Calendar extensions to the base-level Who processing for calendar events.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.extensions.Who
`Who.AttendeeStatus, Who.AttendeeType, Who.Rel`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.extensions.Who
`attendeeStatus, attendeeType, email, entryLink, rel, valueString`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`EventWho()`

Method Summary
`static ExtensionDescription` `getDefaultDescription()` Returns a suggested extension description, which is repeatable.
`static ExtensionDescription` `getDefaultDescription(boolean repeatable)` Returns a suggested extension description, which may be repeatable or not.
`XmlParser.ElementHandler` `getHandler(ExtensionProfile extProfile, java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.
`ResourceProperty` `getResource()`
`void` `setResource(ResourceProperty resource)`

Methods inherited from class com.google.gdata.data.extensions.Who
`generate, getAttendeeStatus, getAttendeeType, getEmail, getEntryLink, getRel, getValueString, setAttendeeStatus, setAttendeeType, setEmail, setEntryLink, setRel, setValueString, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventWho

    public EventWho()

Method Detail

### getResource

    public ResourceProperty getResource()

### setResource

    public void setResource(ResourceProperty resource)

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns a suggested extension description, which is repeatable.

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean repeatable)

  Returns a suggested extension description, which may be repeatable or not.

### getHandler

    public XmlParser.ElementHandler getHandler(ExtensionProfile extProfile,
                                               java.lang.String namespace,
                                               java.lang.String localName,
                                               org.xml.sax.Attributes attrs)

  Description copied from class: `AbstractExtension`
  The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.

  Specified by:
    `getHandler` in interface `Extension`
  Overrides:
    `getHandler` in class `Who`
  Parameters:
    `extProfile` - extension profile
    `namespace` - extension namespace
    `localName` - tag name, without the namespace prefix
    `attrs` - tag attributes
  Returns:
    an element handler